Last Comment Bug 713499 - "ASSERTION: null parent matrix"
: "ASSERTION: null parent matrix"
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 713413
Blocks: stirdom
  Show dependency treegraph
 
Reported: 2011-12-25 22:57 PST by Jesse Ruderman
Modified: 2011-12-30 06:15 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (264 bytes, image/svg+xml)
2011-12-25 22:57 PST, Jesse Ruderman
no flags Details
stack trace (3.34 KB, text/plain)
2011-12-25 22:58 PST, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2011-12-25 22:57:35 PST
Created attachment 584308 [details]
testcase

###!!! ASSERTION: null parent matrix: 'mMaskParentMatrix', file layout/svg/base/src/nsSVGMaskFrame.cpp, line 214

Similar to bug 713413. The only difference is a <mask> in place of a <marker>.
Comment 1 Jesse Ruderman 2011-12-25 22:58:59 PST
Created attachment 584309 [details]
stack trace
Comment 2 Robert Longson 2011-12-26 11:01:56 PST
Fixed by patch in bug 713413
Comment 3 Robert Longson 2011-12-30 06:15:29 PST
fixed by check in for bug 713413

Note You need to log in before you can comment on or make changes to this bug.